
Foreman - Bug #13372

Update Rails to 3.2.22.1

01/26/2016 04:31 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Rails should be updated to 3.2.22.1 to provide fixes for a number of CVEs (

http://weblog.rubyonrails.org/2016/1/25/Rails-5-0-0-beta1-1-4-2-5-1-4-1-14-1-3-2-22-1-and-rails-html-sanitizer-1-0-3-have-been-relea

sed/).

This bug is only applicable to the 1.10-stable branch.

Related issues:

Related to Foreman Remote Execution - Bug #13666: Partials in app/overrides m... Closed 02/11/2016

Blocked by Katello - Bug #13592: Partial ../overrides/foreman/activation_keys... Closed 02/08/2016

History

#1 - 02/08/2016 04:26 AM - Dominic Cleal

- Blocked by Bug #13592: Partial ../overrides/foreman/activation_keys/_host_tab accessed outside of view paths added

#2 - 02/11/2016 09:54 AM - Dominic Cleal

- Related to Bug #13666: Partials in app/overrides must be moved into a views path added

#3 - 02/15/2016 08:45 AM - Dominic Cleal

This might have to be rejected, as apipie-rails has a bug (#13710) that would probably affect 1.10-stable.  It's a bit worse here too, because

1.10-stable's pinned to apipie-rails 0.2.x - it'd probably be safe to update, but we've not used that combination heavily.

#4 - 02/23/2016 06:06 AM - Dominic Cleal

- Status changed from New to Rejected

- translation missing: en.field_release deleted (123)

Rejecting this for now as I think the potential for breaking plugins is a bit too great.
